#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Handler library for evdev events
Summary(pl.UTF-8):	Biblioteka obsługująca zdarzenia evdev
Name:		libevdev
Version:	1.5.5
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://www.freedesktop.org/software/libevdev/%{name}-%{version}.tar.xz
# Source0-md5:	ba3c6216e413cee1d36da7366393543c
URL:		https://www.freedesktop.org/wiki/Software/libevdev/
BuildRequires:	check-devel >= 0.9.9
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Handler library for evdev events.

%description -l pl.UTF-8
Biblioteka obsługująca zdarzenia evdev.

%package devel
Summary:	Header files for libevdev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libevdev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libevdev library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libevdev.

%package static
Summary:	Static libevdev library
Summary(pl.UTF-8):	Statyczna biblioteka libevdev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libevdev library.

%description static -l pl.UTF-8
Statyczna biblioteka libevdev.

%package apidocs
Summary:	libevdev API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libevdev
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libevdev library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libevdev.

%prep
%setup -q

%{__rm} -r doc/html

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config, no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libevdev.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/libevdev-tweak-device
%attr(755,root,root) %{_bindir}/mouse-dpi-tool
%attr(755,root,root) %{_bindir}/touchpad-edge-detector
%attr(755,root,root) %{_libdir}/libevdev.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevdev.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevdev.so
%{_includedir}/libevdev-1.0
%{_pkgconfigdir}/libevdev.pc
%{_mandir}/man3/libevdev.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libevdev.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/{*.css,*.html,*.js,*.png,search}
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libevdev.git;a=log;h=master

* Wed Dec 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 6361a94
- updated to 1.5.5

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> bf448bf
- updated to 1.5.4

* Wed Aug 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 2fc187d
- updated to 1.5.3

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 6941080
- updated to 1.5.2

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> e7d1735
- updated to 1.5.1

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> b227e25
- noarch apidocs

* Thu Jan 07 2016 Jakub Bogusz <qboosh@pld-linux.org> cd743c2
- updated to 1.4.6

* Mon Nov 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 3e0e075
- updated to 1.4.5

* Fri Sep 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 942a06a
- updated to 1.4.4

* Fri Jun 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 8fdce15
- updated to 1.4.3

* Fri Apr 24 2015 Jakub Bogusz <qboosh@pld-linux.org> d4bab00
- updated to 1.4.2

* Sun Mar 15 2015 Jakub Bogusz <qboosh@pld-linux.org> c27fcbd
- updated to 1.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f4f928c
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 07 2014 Jakub Bogusz <qboosh@pld-linux.org> b122169
- updated to 1.3.2

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> c3e225a
- updated to 1.3.1

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> efac58c
- updated to 1.3

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 82b8395
- updated to 1.2.2

* Thu May 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cf0f739
- up to 1.2.1

* Tue May 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ef845b
- up to 1.2

* Mon Mar 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 4c2b7e8
- updated to 1.1

